diff --git a/CHANGES.md b/CHANGES.md
index afae3ff3e..8c83350d2 100644
--- a/CHANGES.md
+++ b/CHANGES.md
@@ -1,9 +1,11 @@
-CHANGES - 2.3rc1 - 2018-03-08
+CHANGES - 2.3rc1 - 2018-03-09
 =============================
 
 Changes in CUPS v2.3rc1
 -----------------------
 
+- Kerberized printing to another CUPS server did not work correctly
+  (Issue #5233)
 - Fixed installation of filters (Issue #5247)
 - The scheduler now supports using temporary print queues for older IPP/1.1
   print queues like those shared by CUPS 1.3 and earlier (Issue #5241)
diff --git a/backend/ipp.c b/backend/ipp.c
index a61f8e9dd..dbbb029f1 100644
--- a/backend/ipp.c
+++ b/backend/ipp.c
@@ -355,8 +355,7 @@ main(int  argc,				/* I - Number of command-line args */
   * that way.
   */
 
-  if (!getuid() && (value = getenv("AUTH_UID")) != NULL &&
-      !getenv("AUTH_PASSWORD"))
+  if (!getuid() && (value = getenv("AUTH_UID")) != NULL)
   {
     uid_t	uid = (uid_t)atoi(value);
 					/* User ID */
